FreeMat

- Main Page
- Related Pages

vtkOverrideInformation

Section: Visualization Toolkit Common Classes

# Usage

vtkOverrideInformation is used to represent the information about a class which is overriden in a vtkObjectFactory.

To create an instance of class vtkOverrideInformation, simply invoke its constructor as follows

      obj = vtkOverrideInformation

# Methods

The class vtkOverrideInformation has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOverrideInformation class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOverrideInformation = obj.NewInstance ()`
- `vtkOverrideInformation = obj.SafeDownCast (vtkObject o)`
- `string = obj.GetClassOverrideName ()` - Returns the name of the class that will override the class. For example, if you had a factory that provided an override for vtkVertex called vtkMyVertex, then this would return "vtkMyVertex"
- `string = obj.GetClassOverrideWithName ()` - Return a human readable or GUI displayable description of this override.
- `string = obj.GetDescription ()` - Return the specific object factory that this override occurs in.
- `vtkObjectFactory = obj.GetObjectFactory ()` - Set the class override name
- `obj.SetClassOverrideName (string )` - Set the class override name
- `obj.SetClassOverrideWithName (string )` - Set the class override name Set the class override with name
- `obj.SetDescription (string )` - Set the class override name Set the class override with name Set the description